# Uses of Interface
org.opensaml.xmlsec.encryption.MasterKeyName

Packages that use MasterKeyName
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of MasterKeyName in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return MasterKeyName
Modifier and Type
Method
Description
`MasterKeyName`
DerivedKey.`getMasterKeyName()`
Get the MasterKeyName child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type MasterKeyName
Modifier and Type
Method
Description
`void`
DerivedKey.`setMasterKeyName(MasterKeyName name)`
Set the MasterKeyName child element.

## Uses of MasterKeyName in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement MasterKeyName
Modifier and Type
Class
Description
`class`
`MasterKeyNameImpl`
Concrete implementation of `MasterKeyName`.
Fields in org.opensaml.xmlsec.encryption.impl declared as MasterKeyName
Modifier and Type
Field
Description
`private MasterKeyName`
DerivedKeyImpl.`masterKeyName`
MasterKeyName child element.
Methods in org.opensaml.xmlsec.encryption.impl that return MasterKeyName
Modifier and Type
Method
Description
`MasterKeyName`
MasterKeyNameBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`MasterKeyName`
MasterKeyNameBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`MasterKeyName`
DerivedKeyImpl.`getMasterKeyName()`
Get the MasterKeyName child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type MasterKeyName
Modifier and Type
Method
Description
`void`
DerivedKeyImpl.`setMasterKeyName(MasterKeyName name)`
Set the MasterKeyName child element.